# Taskbase Public API Version: 0.9.0 ## Servers ``` https://api.taskbase.com ``` ## Security ### bearerAuth Type: http Scheme: bearer ## Download OpenAPI description [ Taskbase Public API](https://developers.taskbase.com/_bundle/apis/specification.yaml) ## Feedback ### Computes feedback for the provided task and answer - [POST /feedback/compute](https://developers.taskbase.com/apis/specification/feedback/computefeedback.md) ## Interactions ### Creates or updates an end-user feedback rating. - [PUT /interactions/{interactionId}/end-user-rating](https://developers.taskbase.com/apis/specification/interactions/putenduserfeedbackrating.md): There can be only one rating per interaction, therefore this operation does an update when called more than once with the same data. The api user acts on behalf of the end-user who is supposed to be the creator of the interaction. ## Simulation ### Starts a new simulation session. - [POST /simulation/start](https://developers.taskbase.com/apis/specification/simulation/startsimulationsession.md): Creates a new simulation session for the specified task. This includes: - Ensuring the AI tutor configuration exists - Initializing the conversation context with system prompts - Creating a unique conversation ID for the session The API user acts on behalf of the end-user and must have appropriate access to the task. ## Tasks ### Computes feedback for an existing task. - [POST /tasks/{taskId}/feedback/compute](https://developers.taskbase.com/apis/specification/tasks/computefeedbackbytaskid.md) ### Creates or updates a task - [POST /tenants/{tenantId}/tasks](https://developers.taskbase.com/apis/specification/tasks/upserttask.md): Creates a new task if the task.id has not been seen before, or updates an existing task if the task.id already exists. The task.id should be the identifier from your system. This endpoint is designed for workflows where tasks are created separately from answer submission. If you need to submit an answer and get feedback, use the /tasks/{taskId}/feedback/compute endpoint instead. ### Deletes a task by its ID - [DELETE /tenants/{tenantId}/tasks/{taskId}](https://developers.taskbase.com/apis/specification/tasks/deletetask.md) ## Tutor ### Submit a rating for a tutor trace - [POST /trace/{traceId}/rate](https://developers.taskbase.com/apis/specification/tutor/ratetrace.md) ### Send a message to a tutor and receive a complete response - [POST /tutor/chat](https://developers.taskbase.com/apis/specification/tutor/chat.md) ### Retrieve tutor configuration by ID - [GET /tutor/{tutor_id}](https://developers.taskbase.com/apis/specification/tutor/gettutor.md) ### Verify that the tutor API service is accessible - [GET /tutor/healthcheck](https://developers.taskbase.com/apis/specification/tutor/healthcheck.md) ### Verify that the tutor chat functionality is operational - [GET /tutor/healthcheck/chat](https://developers.taskbase.com/apis/specification/tutor/healthcheckchat.md) ### Stream tutor responses in real-time using Server-Sent Events - [POST /tutor/chat/stream](https://developers.taskbase.com/apis/specification/tutor/streamchat.md) ## Integrations ### Receive webhook events from integrated services - [POST /webhooks/{token}](https://developers.taskbase.com/apis/specification/integrations/receivewebhook.md)